Subject: Re: [PATCH 2/6] ARM: xen: Register with kernel restart handler

From: Lee Jones <[email-masked]>
Date: Thu, 3 Jun 2021 14:38:40 +0100

On Thu, 03 Jun 2021, Guenter Roeck wrote:

> On Thu, Jun 03, 2021 at 01:43:36PM +0100, Lee Jones wrote:
> > On Tue, 15 Oct 2019 at 15:52, Thierry Reding <[email-masked]>
> > wrote:
> > 
> > > From: Guenter Roeck <[email-masked]>
> > >
> > > Register with kernel restart handler instead of setting arm_pm_restart
> > > directly.
> > >
> > > Select a high priority of 192 to ensure that default restart handlers
> > > are replaced if Xen is running.
> > >
> > > Acked-by: Arnd Bergmann <[email-masked]>
> > > Reviewed-by: Wolfram Sang <[email-masked]>
> > > Reviewed-by: Stefano Stabellini <[email-masked]>
> > > Signed-off-by: Guenter Roeck <[email-masked]>
> > > Signed-off-by: Thierry Reding <[email-masked]>
> > > ---
> > >  arch/arm/xen/enlighten.c | 12 ++++++++++--
> > >  1 file changed, 10 insertions(+), 2 deletions(-)
> > >
> > 
> > This patch does appear to be useful.
> > 
> > Is this just being solved in downstream trees at the moment?
> > 
> > It would be nice if we could relinquish people of this burden and get it
> > into Mainline finally.
> > 
> 
> There must have been half a dozen attempts to send this patch series
> upstream. I have tried, and others have tried. Each attempt failed with
> someone else objecting for non-technical reasons (such as "we need more
> reviews") or no reaction at all, and maintainers just don't pick it up.

Looking at the *-by tag list above, I think we have enough quality
reviews to take this forward.

> So, yes, this patch series can only be found in downstream trees,
> and it seems pointless to submit it yet again.

IMHO, it's unfair to burden multiple downstream trees with this purely
due to poor or nervy maintainership.  Functionality as broadly useful
as this should be merged and maintained in Mainline.

OOI, who is blocking?  As I see it, we have 2 of the key maintainers
in the *-by list.  With those on-board, it's difficult to envisage
what the problem is.

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel